{{- if and (.Values.persistence.federationProperties) (not .Values.persistence.customFederationPropertiesConfig) }}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "rtfs.fullname" . }}-properties
  namespace: {{ .Release.Namespace | quote }}
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
  {{- if .Values.commonAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" $ ) | nindent 4 }}
  {{- end }}
data:
  {{- range $key, $value := .Values.persistence.federationProperties }}
    {{ $key }}: {{ tpl ($value | default "") . | quote }}
    {{- end }}
  {{- end }}